$missionVersion = "1.2.5";
$missionName    = "\"Halls of Annihilation\"";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("BoPstdlib.cs");

$BOP::BoPMap = true;

function setDefaultMissionOptions() {
  $server::TeamPlay = true;
  $server::AllowDeathmatch = false;
  $server::AllowTeamPlay   = true;	
  $server::AllowTeamRed    = true;
  $server::AllowTeamBlue   = true;
  $server::AllowTeamYellow = false;
  $server::AllowTeamPurple = false;
  $server::disableTeamRed    = false;
  $server::disableTeamBlue   = false;
  $server::disableTeamYellow = true;
  $server::disableTeamPurple = true;
}

function mapOnMissionStart() { 
  windSounds();
}

function R0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\R0\\Dest";
  $BOP::warpFadeRed      = 1;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 0;
  WARP::transV(%vehicleId, %tmp, 28);
}	

function R1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\R1\\Dest";
  $BOP::warpFadeRed      = 1;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 0;
  WARP::transV(%vehicleId, %tmp, 28);
}	

function B0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B0\\Dest";
  $BOP::warpFadeRed      = 0;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 1;
  WARP::transV(%vehicleId, %tmp, 28);
}	

function B1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B1\\Dest";
  $BOP::warpFadeRed      = 0;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 1;
  WARP::transV(%vehicleId, %tmp, 28);
}	
